org.firebirdsql.jna.fbclient

## Class ISC_ARRAY_DESC

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.ISC_ARRAY_DESC

- Direct Known Subclasses:
    ISC_ARRAY_DESC.ByReference, ISC_ARRAY_DESC.ByValue

      public class ISC_ARRAY_DESC
      extends com.sun.jna.Structure

  JNA wrapper for ISC_ARRAY_DESC.

  This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

  This file was modified manually, do not automatically regenerate!

  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ISC_ARRAY_DESC.ByReference`
    `static class` | `ISC_ARRAY_DESC.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ISC_ARRAY_BOUND[]` | `array_desc_bounds`
    `short` | `array_desc_dimensions`
    `byte` | `array_desc_dtype`
    `byte[]` | `array_desc_field_name`
    `short` | `array_desc_flags`
    `short` | `array_desc_length`
    `byte[]` | `array_desc_relation_name`
    `byte` | `array_desc_scale`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISC_ARRAY_DESC()`
    `ISC_ARRAY_DESC(byte array_desc_dtype, byte array_desc_scale, short array_desc_length, byte[] array_desc_field_name, byte[] array_desc_relation_name, short array_desc_dimensions, short array_desc_flags, ISC_ARRAY_BOUND[] array_desc_bounds)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### array_desc_dtype

          public byte array_desc_dtype

    - #### array_desc_scale

          public byte array_desc_scale

    - #### array_desc_length

          public short array_desc_length

    - #### array_desc_field_name

          public byte[] array_desc_field_name

    - #### array_desc_relation_name

          public byte[] array_desc_relation_name

    - #### array_desc_dimensions

          public short array_desc_dimensions

    - #### array_desc_flags

          public short array_desc_flags

    - #### array_desc_bounds

          public ISC_ARRAY_BOUND[] array_desc_bounds

  - ### Constructor Detail

    - #### ISC_ARRAY_DESC

          public ISC_ARRAY_DESC()

    - #### ISC_ARRAY_DESC

          public ISC_ARRAY_DESC(byte array_desc_dtype,
                        byte array_desc_scale,
                        short array_desc_length,
                        byte[] array_desc_field_name,
                        byte[] array_desc_relation_name,
                        short array_desc_dimensions,
                        short array_desc_flags,
                        ISC_ARRAY_BOUND[] array_desc_bounds)

      Parameters:
        `array_desc_dtype` - C type : ISC_UCHAR
        `array_desc_scale` - C type : ISC_SCHAR
        `array_desc_field_name` - C type : ISC_SCHAR[32]
        `array_desc_relation_name` - C type : ISC_SCHAR[32]
        `array_desc_bounds` - C type : ISC_ARRAY_BOUND[16]

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Specified by:
        `getFieldOrder` in class `com.sun.jna.Structure`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.